## Update Directory `beta.directories.update(strdirectory_id, DirectoryUpdateParams**kwargs) -> DirectoryUpdateResponse` **patch** `/api/v1/beta/directories/{directory_id}` Update directory metadata. ### Parameters - `directory_id: str` - `organization_id: Optional[str]` - `project_id: Optional[str]` - `description: Optional[str]` Updated description for the directory. - `name: Optional[str]` Updated name for the directory. ### Returns - `class DirectoryUpdateResponse: …` API response schema for a directory. - `id: str` Unique identifier for the directory. - `name: str` Human-readable name for the directory. - `project_id: str` Project the directory belongs to. - `created_at: Optional[datetime]` Creation datetime - `data_source_id: Optional[str]` Optional data source id the directory syncs from. Null if just manual uploads. - `deleted_at: Optional[datetime]` Optional timestamp of when the directory was deleted. Null if not deleted. - `description: Optional[str]` Optional description shown to users. - `updated_at: Optional[datetime]` Update datetime ### Example ```python import os from llama_cloud import LlamaCloud client = LlamaCloud( api_key=os.environ.get("LLAMA_CLOUD_API_KEY"), # This is the default and can be omitted ) directory = client.beta.directories.update( directory_id="directory_id", ) print(directory.id) ``` #### Response ```json { "id": "id", "name": "x", "project_id": "project_id", "created_at": "2019-12-27T18:11:19.117Z", "data_source_id": "data_source_id", "deleted_at": "2019-12-27T18:11:19.117Z", "description": "description", "updated_at": "2019-12-27T18:11:19.117Z" } ```